#' @title Response times to white-on-white Goldmann Size III targets for 12 subjects
#' in dB units
#' @description Response times to white-on-white Goldmann Size III targets for 12
#' subjects. The second column is the distance of the stimuli from measured
#' threshold in HFA dB units. The threshold was determined by post-hoc fit of FoS
#' curves to the data.
#' @details
#' A data frame with 30620 observations on the following 3 variables.
#'   * \code{Rt} Reaction time in ms.
#'   * \code{Dist} Distance of stimuli from threshold in dB.
#'   * \code{Person} Identifier of each subject.
#' 
#' @keywords dataset
#' @seealso \code{\link{RtSigmaUnits}}
#' @references
#' A.M. McKendrick, J. Denniss and A. Turpin. "Response times across the visual
#' field: empirical observations and application to threshold determination".
#' Vision Research 101 2014.
"RtDbUnits"